/******************************************************************************
 GMDummyText.h

	Interface for the GMDummyText class

	Copyright  1999 by Glenn W. Bach.  All rights reserved.
	
 *****************************************************************************/

#ifndef _H_GMDummyText
#define _H_GMDummyText


#include <JXStaticText.h>

class GMessageTableDir;

class GMDummyText : public JXStaticText
{
public:

public:

	GMDummyText(GMessageTableDir* dir,
				const JCharacter* text, JXContainer* enclosure,
				const HSizingOption hSizing, const VSizingOption vSizing,
				const JCoordinate x, const JCoordinate y,
				const JCoordinate w, const JCoordinate h);
	virtual ~GMDummyText();

protected:

	virtual void	Receive(JBroadcaster* sender,
								const JBroadcaster::Message& message);
private:

	GMessageTableDir*	itsDir;

private:

	// not allowed

	GMDummyText(const GMDummyText& source);
	const GMDummyText& operator=(const GMDummyText& source);

public:
};

#endif
