/******************************************************************************
GFAQText.cc

	Copyright  1997 by John Lindal. All rights reserved.

 ******************************************************************************/

#include "GHelpText.h"

const JCharacter* kFAQName  = "GFAQ";
const JCharacter* kFAQTitle = "FAQ";

const JCharacter* kFAQText =

"<html>"

"<h4>Arrow can't create a lock file on my inbox, or doesn't have permissions.</h4>"
"<p>"

"Traditionally, the permissions on /var/spool/mail were: "
"<p>"

"<pre>drwxrwxrwt   3 root     root         2048 Feb 23 19:07 /var/spool/mail/</pre>"
"<p>"

"RedHat, and some others, have changed it to:"
"<p>"

"drwxr-xr-x"
"<p>"

"The result is that the user no longer has permissions to create a lock "
"file. The traditional permissions allow the user to create files, but "
"change or delete only those files that they own. That way, they can't touch "
"anyone else's mailbox. "
"<p>"

"There are two immediate things that you can do."
"<p>"

"1. Change the permissions of /var/spool/mail with "
"<p>"

"<pre>> chmod a+rwt /var/spool/mail</pre>"
"<p>"

"2. If you don't have the access required to change the permissions of "
"/var/spool/mail, then you could have your mail forwarded to a mailbox in "
"your home directory. This is done with procmail. In you ~/.procmailrc file, "
"add the following lines: "
"<p>"

"<pre>:0<br>"
"yourlocalmailboxname</pre>"
"<p>"

"Then tell Arrow that this is your default inbox in the preferences dialog "
"box. If you are also using Pine, you can set this mailbox to be your inbox "
"by setting: "
"<p>"

"<pre>	inbox-path=yourlocalmailboxname</pre>"
"<p>"

"in your ~/.pinerc file. "
"<p>"

"I'm looking into to ways of dealing with this with arrow. One solution is "
"to use a program like <i>lockfile</i> which is suid root, so it has the "
"permissions that it needs to create and delete the lockfile. I don't know, "
"however, how common this program is. The Sun cluster on campus doesn't seem "
"to have it. I could perhaps use it if it is available. If anyone has any "
"suggestions on how to resolve this, it would be appreciated. Send "
"suggestions to <a href=mailto:arrow@alice.caltech.edu>"
"arrow@alice.caltech.edu</a>"
"</html>"
;
